APIAnalytics
Count active agent instances
Count of distinct agent instances with activity in the given time range.
GET
Count of distinct agent instances with activity in the given time range.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_agent_analyticsstart_time*stringStart of the time range to report on, inclusive.
Format
date-timeend_time*stringEnd of the time range to report on, exclusive.
Format
date-timeagent_slug?array<string>Filter to agents by slug, the agent type such as claude-code.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
agent_tag_id?array<>Filter to agent instances carrying specific tags.
resource_tag_id?array<>Filter to MCP servers carrying specific tags.
The request has succeeded.
application/json- response
Count of distinct active agent instances in a time range.
count*integerNumber of distinct agent instances with activity.
Format
int64curl -X GET "https://example.com/analytics/active-agent-instances?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "count": 0}